List overrides
List overrides for a given time range.
A Schedule determines the time periods that users are On-Call.
For more information see the API Concepts Document
Scoped OAuth requires: schedules.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
The start of the date range over which you want to search.
date-timeThe end of the date range over which you want to search.
date-timeWhen this parameter is present, only editable overrides will be returned. The result will only include the id of the override if this parameter is present. Only future overrides are editable.
Any on-call schedule entries that pass the date range bounds will be truncated at the bounds, unless the parameter overflow=true is passed. This parameter defaults to false.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Get a schedule GET
Show detailed information about a schedule, including entries for each layer. Scoped OAuth requires: `schedules.read`
List users on call. GET
List all of the users on call in a given schedule for a given time range. A Schedule determines the time periods that users are On-Call. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#schedules) Scoped OAuth requires: `users.read`